# 1.0.0[−][src]Module std::f64::consts

Basic mathematical constants.

## Constants

E | Euler's number (e)
FRAC_1_PI | 1/π
FRAC_2_PI | 2/π
FRAC_2_SQRT_PI | 2/sqrt(π)
FRAC_1_SQRT_2 | 1/sqrt(2)
FRAC_PI_2 | π/2
FRAC_PI_3 | π/3
FRAC_PI_4 | π/4
FRAC_PI_6 | π/6
FRAC_PI_8 | π/8
LN_2 | ln(2)
LN_10 | ln(10)
LOG2_E | log2(e)
LOG10_E | log10(e)
LOG10_2 | log10(2)
LOG2_10 | log2(10)
PI | Archimedes' constant (π)
SQRT_2 | sqrt(2)
TAU | Experimental The full circle constant (τ)